Skip to main content
GET
/
companies
Search for companies
curl --request GET \
  --url https://api.kyckr.com/v2/companies \
  --header 'Authorization: Bearer <token>'
{
  "correlationId": "8df02c1f6a2b4c2980992bf24daad522",
  "customerReference": "",
  "timeStamp": "2023-04-06T07:23:36.9353291Z",
  "details": "Success",
  "data": [
    {
      "id": "GB|MTE2NTUyOTA",
      "companyName": "KYCKR UK LIMITED",
      "companyNumber": "11655290",
      "address": "Kemp House, 160 City Road, London, United Kingdom, EC1V 2NX",
      "status": "active",
      "type": "ltd",
      "startDate": "2018-11-01"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

isoCode
string

Jurisdiction code in ISO 3166 alpha-2

name
string

Company Name

companyNumber
string

Company Registration Number

Response

OK

orderId
number

The related orderId.

Example:

12345

correlationId
string

The related correlationId to this request, for support purposes.

customerReference
string

A customer provided reference, which appears in the order list.

timeStamp
string<date-time>

The UTC time at which the request occurred.

details
string

The response status details for the current request.

cost
object

Cost of an item

data
Search Result · object[]